.TH GPIV_IMG2GPIV 1 "19 Januari 2005"
.SH NAME
gpiv_img2gpiv \- Converts images into raw data (extension .r) format with the 
belonging ASCII header file (extension .h) or into the hdf format 
(extension .hdf).

.SH SYNOPSIS

\fBgpiv_img2gpiv\fP
[\fB-x\fR | \fB--cross\fR]
[\fB-c\fR | \fB--cols\fR \fIncolumns\fR] 
[\fB--combine\fR]
[\fB-h\fR | \fB--help\fR] 
[\fB-hdf\fR] 
[\fB--suf_a\fR \fIEXT\fR]
[\fB--suf_b\fR \fIEXT\fR]
[\fB--suf_num\fR \fIN\fR]
[\fB-i\fR | \fB--inverse\fR]
[\fB-n\fR] 
[\fB-p\fR] 
[\fB-r\fR | \fB--rows \fInrows\fR] 
[\fB-t\fR] 
[\fB-v\fR | \fB--version\fR] file_base_name
\fP

.SH DESCRIPTION

\fBgpiv_img2gpiv\fP converts images from a common image format (gif, tif etc)
into a raw data image with extension \fB.r\fR. Additionally, it generates
an ASCII header file (extension \fB.h\fR). This header contains information
concerning image dimensions, color depth, single or double image (for
auto or cross-correlation), time and spatial scales, position of
pixel# (0, 0) in the experiment and some additional (non-required)
parameters.

\fIgpiv_img2gpiv\fP may also convert to hdf formatted images, with extension 
\fB.hdf\fR, that might be used by gpiv.

This program does not use the parameter resources from libgpiv. The
default settings may be overruled by the command line options, as
explained below.

.SH Options 
.TP 
.TP 
\fB-c\fR | \fB--cols\fR \fIncolumns\fR
The number of columns of the image (default 1280).

.TP 
\fB--combine\fR 
If the images have been obtained separately, but will have to be used
for cross-correlation, they will be combined to a single image
file for interrogating with \fBgpiv_rr\fR (or \fBgpiv\fR).
See also \fB--suf_a/b\fR and \fB--suf_num\fR.

.TP 
\fB-h\fR | \fB--help\fR
On-line help.

.TP 
\fB-hdf
Converts to (or from) hdf formatted data (extension \fB.hdf\fR).

.TP 
\fB-i\fR | \fB--inverse\fR
Inverse conversion; from raw 8-bit data to image format.

.TP 
\fB--suf_a\fR \fIEXT\fR
In combination with \fB--combine\fR: the file_base_name of the first
frame to be combined is extended with suffix \fIEXT\fR (default: _a).

.TP 
\fB--suf_b\fR \fIEXT\fR
In combination with \fB--combine\fR: the file_base_name of the second 
frame to be combined is extended with suffix \fIEXT\fR (default: _b).

.TP 
\fB--suf_num\fR \fIN\fR
In combination with \fB--combine\fR: If images are numbered instead of
with \fB--suf_a\fR and \fB--suf_b\fR. \fIN\fR represents the first of
the two numbered frames which will be combined with frame \fIN\fR +
1. The combined image will be named to file_base_name\fIN\fR\fB.r\fR.
So, only odd or even numbered images will result to be loaded in
\fBgpiv_rr\fR (or \fBgpiv\fR) for cross-correlation.

.TP 
\fB-n\fR
No execute, only print processes.

.TP 
\fB-p\fR
Prints process to stdout.

.TP 
\fB-r\fR | \fB--rows 
\fInrows\fR The number of rows in the frame of a SINGLE image (default 1024). 
An image frame containing a PIV pair of
images (to be used for cross-correlation) should have the double amount
of rows; from row #0 to row #\fInrows\fR - 1 contains the first image
and from row #\fInrows\fR to row #2x\fInrows\fR - 1 contains the
second image.

.TP 
\fB-t\fR
Image type or format (default bmp).

.TP
\fB-v\fR | \fB--version\fR
Print version information on standard output, then exit successfully.

.TP
\fB-x\fR | \fB--cross\fR
Double image for cross-correlation (default: single image for
auto-correlation).

.SH SEE ALSO
gpivtools

.SH NOTES
The program uses \fBconvert\fR.

.SH AUTHOR
Gerber Van der Graaf
